Subject: [Sip] Is this a valid request?

From: "Stephen Guo" <[email-masked]>
Date: Tue, 23 Dec 2008 12:40:00 +0800

Hi all,
    Please have a look, is following request valid?
There is a horizontal tab preceding each extra line in To header.

INVITE sip:[email-masked] <[email-masked]> SIP/2.0
CSeq: 1 INVITE
Via: SIP/2.0/UDP 192.168.3.101:5068
;branch=z9hG4bK68aj5t30nezhwfkv921lsbuiq7coxrdy
From: "Negativa" <sip:tester:[email-masked]:5060>;tag=somefromtagval
Call-ID: 6tasnymb8du9e2xp045ohz3lwkcr1vfq@TheKlatchianHead
To:

    "Negativa" <sip:tester:[email-masked]:5060>
Contact: <sip:tester:[email-masked]:5060>
Max-Forwards: 70
Content-Type: application/sdp
Content-Length: 389

(SDP not shown)

*According RFC 3261 section 7.3.1 Header Field Format* description, "Header
fields can be extended over multiple lines by preceding each extra line with
at least one SP or horizontal tab (HT)", above request is valid, right?

-- 
Best Regards,
Stephen
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Rockson Li (zhengyli)" <[email-masked]>
Date: Tue, 23 Dec 2008 17:17:39 +0800

Stephen,
 
This syntax looks correct per RFC3261.
BTW, please post to [email-masked] for current
sip RFC discussion.
 
thanks
 
-Rockson 
________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Stephen Guo
Sent: Tuesday, December 23, 2008 12:40 PM
To: [email-masked]
Subject: [Sip] Is this a valid request?

Hi all,

INVITE sip:[email-masked] <mailto:[email-masked]>
SIP/2.0
CSeq: 1 INVITE
Via: SIP/2.0/UDP
192.168.3.101:5068;branch=z9hG4bK68aj5t30nezhwfkv921lsbuiq7coxrdy
From: "Negativa"
<sip:tester:[email-masked]:5060>;tag=somefromtagval
Call-ID: 6tasnymb8du9e2xp045ohz3lwkcr1vfq@TheKlatchianHead
To:     

(SDP not shown)

According RFC 3261 section 7.3.1 Header Field Format description,
"Header fields can be extended over multiple lines by preceding each
extra line with at least one SP or horizontal tab (HT)", above request
is valid, right? 

-- 
Best Regards,
Stephen